args = commandArgs()
print(args)

# sprintf(command, "R < %s --slave --vanilla --args %s %s %s", filename_R_script, file_cvs_out, file_pdf_out, species);
# first argument: args[5]

#t = read.table(paste(args[5], args[6],"_null_scores", sep=""))
t = read.table(args[5], header=T)
col_names=names(t)
print(col_names)

out_file=args[6]
sim_threshold = as.numeric(args[7])#10.27
upper_bound=as.numeric(args[8])

data = as.matrix(t)

#min_val = min(data) - 1
#max_val = max(data) + 1
#x = seq(min_val-1,max_val+1,0.1)

#################
# output to a pdf
#################
pdf(out_file)

library(graphics)

#t = read.table("/nfs/ohler_fc/ohlerlab/sgeorg/test/try_all/data_matrix")
#upper_bound=dim(t)[1]
lower_bound=1
#upper_bound=150
x=seq(lower_bound:upper_bound)

plot(x, t[lower_bound:upper_bound,1], col="red", type="p")#, lwd=0.2, cex=0.4) 
lines(x, t[lower_bound:upper_bound,2], col="blue", type="p")#, lwd=0.2, cex=0.4)
lines(x, t[lower_bound:upper_bound,3], col="green", type="p")#, lwd=0.2, cex=0.4) 
abline(h=sim_threshold,lty=2)
title_str=paste("# successful predictions (out of 156)")
title(title_str)
#legend("topright", c(col_names[3], col_names[5], col_names[6],col_names[7]), fill=c("red","blue", "green", "black"))
legend("bottomleft", c(col_names[1], col_names[2], col_names[3]), fill=c("red","blue", "green"))

y1=c()
for(i in 1:dim(t)[2]){d=t[,i];y1=c(y1, sum(d>sim_threshold))}
x1=seq(1:length(y1))
plot(x1, y1, col="red", type="b", lwd=0.2, cex=0.6, ylim=c(70,90)) 


#d1=t[1:dim(t)[1],1]
#d2=t[1:dim(t)[1],2]
#d3=t[1:dim(t)[1],3]
#y1=c(sum(d1>sim_threshold), sum(d2>sim_threshold), sum(d3>sim_threshold))
#x1=seq(1:length(y1))
#x1 = c("1","2","3")
#plot(x1, y1, col="red", type="b", lwd=0.2, cex=0.6)#, ylim=c(50,100)) 

mat=as.matrix(t)
boxplot.matrix(mat, boxwex = 0.5, use.cols = T, names = col_names, main = "# successful predictions (out of 156)", notch = T)
boxplot.matrix(mat[1:50,], boxwex = 0.5, use.cols = F, main = "# successful predictions (out of 156)", notch = F)

for(i in 1:dim(mat)[2]){barplot(table(mat[,i]))}

#barplot(mat, beside = T)




#plot(data, col="red",lwd=0.2,cex=0.6,pch=21,type="b",lty = 1)
#abline(h=sim_threshold,lty=2)

#title_str=paste("cERMIT benchmark results(156 TF conditions) (n = ", n, ", p = ", p, ") s2n = ", s2n,sep="")
#title_str="cERMIT benchmark results(156 TF conditions)"
#title(title_str)
#legend("topright", c("population vs. randomized", "sample vs. randomized"), fill=c("red","blue"))

dev.off()
#################